Update dependencies for 3.5.0

Description

It's been a few minor releases since we've upgraded patch versions on dependencies, the following libraries have updates:

  • jnr-ffi, 2.0.7 -> 2.0.9

  • jnr-posix, 3.0.27 -> 3.0.44

  • metrics-core, 3.2.2 -> 3.2.6

  • netty, 4.0.47.Final -> 4.0.56.Final

  • netty-tcnative, 2.0.1.Final -> 2.0.7.Final

  • HdrHistogram, 2.1.9 -> 2.1.10

  • -snappy-java, 1.1.2.6 > 1.1.7.1 (Newer versions require Java 1.7)

  • jackson-core, 2.8.8 -> 2.8.11

  • jackson-databind, 2.7.9.2 -> 2.7.9.3

  • joda-time, 2.9.1 -> 2.9.9

  • lz4-java, 1.3.0 -> 1.4.1 (also new coordinates)

Environment

None

Pull Requests

None
Fixed

Assignee

Unassigned

Reporter

Andy Tolbert

Labels

None

PM Priority

None

Affects versions

None

Fix versions

Pull Request

None

Doc Impact

None

Size

None

External issue ID

None

External issue ID

None

Priority

Minor
Configure